package com.muyu.many.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 报文解析配置
 *
 * @ClassName MessageAnalysis
 * @Author AnNan.Wang
 * @Date 2024/6/26 18:38
 */

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("message_analysis")
public class MessageAnalysis {
    /**
     * 主键
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;
    /**
     * 车辆ID
     */
    private Long vehicleId;
    /**
     * 指标项key
     */
    private String analyzeKey;
    /**
     * 起始位
     */
    private Integer analyzeStart;
    /**
     * 终止位
     */
    private Integer ent;
    /**
     * 指标项标签
     */
    private String lable;
    /**
     * 类型
     */
    private String type;


}
