package com.muyu.authentication.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.authentication.mapper.MessageDataMapper;
import com.muyu.authentication.service.MessageDataService;
import com.muyu.domain.MessageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 报文解析配置实现层
 *
 * @ClassName MessageDataServiceImpl
 * @Author AnNan.Wang
 * @Date 2024/6/27 10:31
 */

@Service
public class MessageDataServiceImpl extends ServiceImpl<MessageDataMapper, MessageData>
        implements MessageDataService {

    @Autowired
    private MessageDataMapper messageDataMapper;

    @Override
    public List<MessageData> messageList() {
        return messageDataMapper.selectList(null);
    }
}
