package com.muyu.authentication.controller;

import com.muyu.authentication.service.MessageAnalysisService;
import com.muyu.common.core.domain.Result;
import com.muyu.many.domain.MessageAnalysis;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 报文解析配置的Controller层
 *
 * @ClassName MessageAnalysisController
 * @Author AnNan.Wang
 * @Date 2024/6/26 18:40
 */

@RestController
@RequestMapping("/messageAnalysis")
public class MessageAnalysisController {
    @Autowired
    private MessageAnalysisService messageAnalysisService;

    @PostMapping("/messageAnalysisAdd")
    public Result<String> messageAnalysisAdd(@RequestBody List<MessageAnalysis> messageAnalysisList){
        return messageAnalysisService.messageAnalysisAdd(messageAnalysisList);
    }


}
